Bug 596341 - [abrt] crash in audacious-2.2-14.fc13: magazine_chain_pop_head: Process /usr/bin/audacious2 was killed by signal 11 (SIGSEGV)
Summary: [abrt] crash in audacious-2.2-14.fc13: magazine_chain_pop_head: Process /usr/...
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: audacious   
(Show other bugs)
Version: 13
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Michael Schwendt
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:73027cfc436586d56d293a615c3...
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-26 15:59 UTC by Michael Beckwith
Modified: 2010-11-13 14:05 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-13 14:05:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (37.07 KB, text/plain)
2010-05-26 15:59 UTC, Michael Beckwith
no flags Details

Description Michael Beckwith 2010-05-26 15:59:49 UTC
abrt 1.1.0 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: audacious2
component: audacious
crash_function: magazine_chain_pop_head
executable: /usr/bin/audacious2
global_uuid: 73027cfc436586d56d293a615c3041463b95ffb5
kernel: 2.6.33.4-95.fc13.i686.PAE
package: audacious-2.2-14.fc13
rating: 4
reason: Process /usr/bin/audacious2 was killed by signal 11 (SIGSEGV)
release: Fedora release 13 (Goddard)

How to reproduce
-----
1. start audacious from command line
2. watch it fail to load and end in Segmentation fault (core dumped)
3.

Comment 1 Michael Beckwith 2010-05-26 15:59:51 UTC
Created attachment 416905 [details]
File: backtrace

Comment 2 Michael Schwendt 2010-05-26 17:35:07 UTC
Hmm, the backtrace is truncated. It only shows a short fragment of a crash in libglib-2.0 and nothing about Audacious.

Does "rpm -V glib2" complete without errors?

Is it reproducible for you in a fresh user account? -- And with $HOME/.config/audacious/config and $HOME/.config/audacious/playlist.xspf backed up and removed?

Upstream has removed the "scrobbler" plugin in Audacious 2.3, because it isn't maintained anymore and is suspect to causing problems.

Comment 3 Michael Beckwith 2010-05-26 17:56:44 UTC
With the mention of scrobbler no longer being supported, I went and deleted /usr/lib/audacious/General/scrobbler.so and tried starting Audacious again, successfully. Something about that plugin file was causing the errors. I will test it out and play around with it, but have no issues anymore.

Comment 4 Michael Schwendt 2010-05-26 18:46:46 UTC
Might be choking on something in $HOME/.config/audacious/scrobblerqueue.txt - I see it's trying to load entries in that file early when the plugin initializes. A queue of stuff it hasn't managed to submit to last.fm during a previous run.

Comment 5 Michael Schwendt 2010-07-18 10:48:18 UTC
JFYI, scrobbler is back since 2.4 alpha2 (in Rawhide).


Note You need to log in before you can comment on or make changes to this bug.